// OggMux.h : Main-Header-File for the application OGGMUX

/*****************************************************************************
 *
 *  OggMux
 *  - Front-end for Tobias Waldvogel's OGG directshow filters -
 *
 *  This program implements a GUI for those filters to multiplex different
 *  stream types (audio, video, subtitles, chapterinformation,...) into
 *  the OGG container format.
 *
 *  This program is free software ; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation ; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY ; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program ; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 ****************************************************************************/

/*****************************************************************************
 *  History:
 *
 *  v 0.9.4: Added copyright headers to the sources (Koepi)
 *
 *  All code is (c)2002 by Dirk Knop, no further code has made it into
 *  OggMux yet.
 *
 ****************************************************************************/

#if !defined(AFX_OGGMUX_H__9DE6A0C4_BB8C_41F9_8A8D_25B827D9C496__INCLUDED_)
#define AFX_OGGMUX_H__9DE6A0C4_BB8C_41F9_8A8D_25B827D9C496__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "resource.h"		// main symbols

/////////////////////////////////////////////////////////////////////////////
// COggMuxApp:
// look at OggMux.cpp for the implementation of this class
//

class COggMuxApp : public CWinApp
{
public:
	COggMuxApp();

// Overloads
	//{{AFX_VIRTUAL(COggMuxApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

// Implementation

	//{{AFX_MSG(COggMuxApp)
		// HINWEIS - An dieser Stelle werden Member-Funktionen vom Klassen-Assistenten eingefgt und entfernt.
		//    Innerhalb dieser generierten Quelltextabschnitte NICHTS VERNDERN!
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_OGGMUX_H__9DE6A0C4_BB8C_41F9_8A8D_25B827D9C496__INCLUDED_)
